package com.hzya.frame.seeyon.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.seeyon.entity.SeeyonEntity;

import java.util.List;

/**
 * com.hzya.frame.seeyon.dao
 *
 * @author yqh
 * @date 2023-08 -30 10:43
 */

public interface ISeeYonDao extends IBaseDao<SeeyonEntity,String> {
    /***
     * @Content:通过类型获取OA基本档案数据
     * @Author 👻👻👻👻yqh👻👻👻👻
     * @Date  2023年8月30日11:33:17
     * @Param seeyon
     * @return
     **/
    @DS("ht_oa_sqlserver")
    List<SeeyonEntity> selectOAListByTypeformson_0324(SeeyonEntity seeyon);
    @DS("ht_oa_sqlserver")
    List<SeeyonEntity> selectOAListByTypeformson_0352(SeeyonEntity seeyon);
    @DS("ht_oa_sqlserver")
    List<SeeyonEntity> selectOAListByTypeMain(SeeyonEntity seeyon);
    /**
     * 通过关联关系获取附件主键
     * @param seeyonEntity
     * @return
     */
    @DS("ht_oa_sqlserver")
    List<SeeyonEntity> selectFileUrl(SeeyonEntity seeyonEntity);
/***
 * @Content:修改数据状态，避免重复抓取
 * @Author 👻👻👻👻yqh👻👻👻👻
 * @Date
 * @Param
 * @return
 **/
    int updateFormStete(SeeyonEntity s);

    /**
     * 
     * @content 查询付款单中得电子回单
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2023/11/9 14:23
     * **/
    @DS("ht_oa_sqlserver")
    List<SeeyonEntity> selectOAListByTypeformmain_0327(SeeyonEntity seeyon);
    @DS("ht_oa_sqlserver")
    int updateFormformmain_0327(SeeyonEntity seeyon);
    
    /**
     * 
     * @content 根据付款方id查询付款名
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2023/11/9 14:23
     * **/
    @DS("ht_oa_sqlserver")
     List<SeeyonEntity> selectOAListByField0258(SeeyonEntity seeyon);

    /**
     *
     * @content 查询速网U8C中的所有组织
     * @Param
     * @Return
     * @Author hecan
     * @Date 2023/11/13 11:56
     * **/
     @DS("sowow_sqlserver_test")
    List<SeeyonEntity> selectOAListByCorp(SeeyonEntity seeyon);
     
     /**
      * 
      * @content 修改OA中的字段为速网U8C销售订单主键
      * @Param 
      * @Return 
      * @Author hecan 
      * @Date 2023/11/15 11:28
      * **/
     @DS("swoa_mysql")
    int updateFormformmain_0237(SeeyonEntity seeyonEntity);
    @DS("swoa_mysql")
    int updateFormformson_0238(SeeyonEntity seeyonEntity);
    //根据销售订单编码查询档案主键
    @DS("swoa_mysql")
    SeeyonEntity selectOAListByformmain_0237(SeeyonEntity seeyonEntity);

    /**
     * 
     * @content 修改付款单报销单等单据的推送状态
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2023/12/20 8:59
     * **/
    @DS("ht_oa_sqlserver")
    int updatepush(SeeyonEntity seeyon);

}
